WordPress, Sitenizin Güvenli Olmayan Bir Php Sürümü Hatası ve Çözümü

Bu makalemizde sitenizde aniden çıkan wordpress, sitenizin güvenli olmayan bir php sürümü üzerinde çalıştığını tespit etti hatası ve çözümünü inceleyeceğiz.

Bu makalemizde sitenizde aniden çıkan wordpress, sitenizin güvenli olmayan bir php sürümü üzerinde çalıştığını tespit etti hatası ve çözümünü inceleyeceğiz.

Makalemize başlamadan önce bir ön gereksinimi hatırlatmamızda fayda var. Bu hatayı gidermek için WordPress Hosting hizmeti aldığınız firmanın kontrol panelinde Php sürüm değişimi için izin vermesi gerekiyor. Çoğu web hosting firması panel ve işletim sürümlerini güncel tutmadıkları veya işlemlerin çoğunu kısıtladıklarından dolayı bu tür işlemler kullanıcılar tarafından kolaylıkla yapılamıyor. Bulut.net.tr olarak biz müşterilerimize SSH, Git gibi teknolojileri sunarak çağa ayak uyduran geliştiricileri sürekli destekliyoruz.

Php Sürümü Ne Olmalı?

Güncel olarak bu makaleyi yazdığımızda en güncel versiyon olan 7.3 sürümü bulunuyor. Şu anda 7.0 sürümü bile güvenlik ve hız açısından çok geride kalmasına rağmen bir çok webmaster hala 5.3 5.4 gibi versiyonları kullanmakta ısrar ediyor. Çok dikkatle altını çizmek istiyoruz ki bu sürümler geliştirme süresini doldurmuş yani EOL (End of Life) dediğimiz sürümlerdir. Biz müşterilerimize şu an için 7.1 ve 7.2 sürümlerini kullanmalarını öneriyoruz. Eğer kullandığınız hosting firması bu sürümleri desteklemiyorsa bizimle iletişime geçerek bu sürümlerin avantajları ve eski sürüm kullanmanın zararları hakkında bilgi alabilirsiniz.

Güncel Php Sürümü Kullanmanın Avantajları

  • Hızlı açılan siteler
  • Kapatılan güvenlik açıkları
  • Modern web uygulamaları ile tam uyum
  • Güncel özelliklere erişim

Php Sürümü Hatası

Php Sürümü Hatası
Php Sürümü Hatası

Sorunun Çözümü

Bu işlemi örneklendirmek açısından cPanel üzerinde sizlere göstereceğiz. Plesk, Directadmin veya CyberPanel gibi panellerde de benzer arayüzler olduğu için Php sürümü değiştirme bölümünü kolaylıkla bulabilirsiniz.

cPanel >> Software >> başlıkları altında yer alan Select PHP Version ikonunu bulun.

Php Selector İkonu
Php Selector İkonu

Açılan sayfada Php Version bölümü yanında güncel sürümü görebilirsiniz. Siz bu kısmın altında bulunan açılır menüyü (dropdown) kullanarak daha yüksek bir sürüm olan 7.0 7.1 veya 7.2 sürümünü seçeceksiniz ve Set as current butonuna tıklayacaksınız.

Php Sürüm Değiştirme
Php Sürüm Değiştirme

Sürüm seçtikten sonra size ekstra modüller ve eklentiler içeren bir liste gelecek. Eğer bu konuda uzman değilseniz burada herhangi bir seçim yapmadan varsayılan seçilileri olduğu gibi bırakmanızı öneriyoruz. Alt kısımda bulunan Save butonu aracılığıyla işleminizi tamamlayabilirsiniz.

Php Modül ve Eklentileri
Php Modül ve Eklentileri

Tebrikler! Php sürümünüzü değiştirdiniz. Şimdi WordPress sitenizin Wp-Admin sayfasını ziyaret ederek bu hatanın ortadan kalktığını görebilirsiniz. Artık panele her girdiğinizde wordpress, sitenizin güvenli olmayan bir php sürümü üzerinde çalıştığını tespit etti sizi karşılamayacak.

Video Anlatım

cPanel tarafından resmi olarak hazırlanan aşağıdaki video’da Php Sürüm Değiştirme sorununu adım adım izleyerek çözebilirsiniz.

cPanel Php Sürüm Değiştirme